
Name: phonon
Version: 4.4.2
Release: alt0.M51.1

Group: Graphical desktop/KDE
Summary: KDE4 Multimedia Framework
Url: http://phonon.kde.org/
License: LGPLv2+

#Source: ftp://ftp.kde.org/pub/kde/stable/%name/%version/%name-%version.tar.bz2
Source: %name-%version.tar.bz2
Source1: phonon-gstreamer.svg
# MDK
Patch3: phonon-4.3.50-gstreamer-fix-seekable-query-failed.patch
Patch4: phonon-4.3.50-phonon-allow-stop-empty-source.patch
# ALT
Patch100: phonon-4.3.1-alt-pcspeaker-id.patch


#BuildRequires: glib2-devel gstreamer-devel gst-plugins-devel
#BuildRequires: libbfd-devel libxml2-devel
BuildRequires(pre): libqt4-devel
BuildRequires: ImageMagick-tools automoc cmake gcc-c++ xorg-devel
BuildRequires: libalsa-devel libpulseaudio-devel libxine-devel gst-plugins-devel
BuildRequires: kde-common-devel

%description
Phonon is the KDE4 Multimedia Framework

%package -n libphononexperimental
Group: System/Libraries
Summary: Phonon library
Requires: libphonon = %version-%release
Conflicts: kde4libs < 4.0.81
%description -n libphononexperimental
Phonon library.

%package -n libphonon
Group: System/Libraries
Summary: Phonon library
Conflicts: kde4libs < 4.0.81
Requires: libqt4-core >= %{get_version libqt4-core}
%description -n libphonon
Phonon library.

%package -n phonon-gstreamer
Group: Sound
Summary: GStreamer backend for Phonon
Requires: libphonon = %version-%release
Requires: gst-plugins-good
Provides: phonon-backend = %version
%description -n phonon-gstreamer
GStreamer backend to Phonon.

%package -n phonon-xine
Group: Sound
Summary: Xine backend for Phonon
Requires: libphonon = %version-%release
Provides: phonon-backend = %version
Conflicts: kde4base-runtime < 4.1.50
%description -n phonon-xine
Xine backend to Phonon.

%package devel
Group: Development/KDE and QT
Summary: Header files and documentation for compiling KDE applications
#Requires: libphononexperimental = %version-%release
#Requires: libphonon = %version-%release
Conflicts: kde4libs-devel < 4.0.81
%description devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.


%prep
%setup -q
%patch3 -p1
%patch4 -p1

%patch100 -p1


%build
#    -DINCLUDE_INSTALL_DIR:PATH=%_includedir \
%K4cmake \
    -DPLUGIN_INSTALL_DIR:PATH=%_qt4dir
%K4make

%install
%K4install

# install gstreamer icon
install -D -m 0644 %SOURCE1 %buildroot/%_iconsdir/hicolor/scalable/apps/phonon-gstreamer.svg
for sz in 16 22 32 48 64 128; do
  mkdir -p %buildroot/%_iconsdir/hicolor/${sz}x${sz}/apps
  convert -geometry ${sz}x${sz} %SOURCE1 %buildroot/%_iconsdir/hicolor/${sz}x${sz}/apps/phonon-gstreamer.png
done


%files -n libphononexperimental
%_K4libdir/libphononexperimental.so.*

%files -n libphonon
%dir %_qt4dir/plugins/phonon_backend/
%_K4libdir/libphonon.so.*

%files -n phonon-gstreamer
%_qt4dir/plugins/phonon_backend/phonon_gstreamer.so
%_K4srv/phononbackends/gstreamer.desktop
%_iconsdir/hicolor/*/apps/phonon-gstreamer.*

%files -n phonon-xine
%_qt4dir/plugins/phonon_backend/phonon_xine.so
%_K4srv/phononbackends/xine.desktop
%_iconsdir/oxygen/*/apps/phonon-xine.*

%files devel
%_K4includedir/phonon
%_K4includedir/KDE
%_K4libdir/libphonon.so
%_K4libdir/libphononexperimental.so
%_pkgconfigdir/phonon.pc
%_K4dbus_interfaces/org.kde.Phonon.AudioOutput.xml

%changelog
* Thu Jun 17 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt0.M51.1
- built for M51

* Thu Jun 17 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt1
- new version

* Wed May 12 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.1-alt0.M51.1
- build for M51

* Wed May 12 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.1-alt1
- new version

* Tue Apr 20 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.0-alt2.M51.1
- build for M51

* Wed Apr 14 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.0-alt3
- add fixes for pulseaudio support

* Thu Mar 25 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.0-alt2
- fix build requires (ALT#23225)

* Mon Mar 22 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.0-alt1
- new version

* Fri Jan 15 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.80-alt1
- new beta

* Mon Jul 20 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt3
- patch to xine kequalizer effect

* Wed Mar 25 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt2
- add workaround for /etc/modprobe.d/alsa-modindex snd_pcsp index=10

* Fri Feb 27 2009 Sergey V Turchin <zerg at altlinux dot org> 4.3.1-alt1
- new version

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 4.3.0-alt1
- new version

* Tue Jan 13 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.96-alt1
- new beta
- removed deprecated macroses from specfile

* Wed Jul 30 2008 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- initial spec

